
# Gamba Mod

Adds a simple slot machine to the terminal.

## Usage

1.  **slots** command in terminal will bring up the main slots page

2.  **bet [amount]** in terminal will allow you to spin, betting however many credits you put in **[amount]**

3. To repeat your last bet without having to type **bet** again, simply press [Enter]

## Example
```
slots
bet 10
bet 10
bet 100
```

## Updates  

1.0.1:
- Removed default credits of 100 (this was for testing purposes)
- Removed unnecessary console writes (also for testing)
- Documented line checks in the winning algorithm (need to find more lines)
- Fixed bug where not all symbols were being used in slot machine (Don't code at 2 AM 0_0)
  
1.0.2
- Removed more console writes (9AM is too early for me?)
- Fixed the readme to be more helpful!!

1.0.3
- Added helpful tip to terminal home page (thank you broiiler)
- Added rarity to symbols, including more money for rarer symbols
- Changed "Spinning..." to a more helpful message
- Added an out of money screen

1.0.4
- Added BepInEx dependency

1.0.5
- Made credits server side?
- Fixed a bug where the home screen message would re-add on relaunch

1.0.6
- **NOW** credits are server side????

1.0.7
- Users can now press [Enter] to repeat their last bet

1.0.8
- Fixed a bug where pressing [Esc] would also trigger the last bet